org.apache.tinkerpop.gremlin.process.traversal.step.util.event

## Interface Event

- All Known Implementing Classes:
    Event.EdgeAddedEvent, Event.EdgePropertyChangedEvent, Event.EdgePropertyRemovedEvent, Event.EdgeRemovedEvent, Event.ElementPropertyChangedEvent, Event.ElementPropertyEvent, Event.VertexAddedEvent, Event.VertexPropertyChangedEvent, Event.VertexPropertyPropertyChangedEvent, Event.VertexPropertyPropertyRemovedEvent, Event.VertexPropertyRemovedEvent, Event.VertexRemovedEvent

      public interface Event

  A representation of some action that occurs on a `Graph` for a `Traversal`.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Event.EdgeAddedEvent` Represents an action where an `Edge` is added to the `Graph`.
    `static class` | `Event.EdgePropertyChangedEvent` Represents an action where an `Edge` `Property` is added/modified.
    `static class` | `Event.EdgePropertyRemovedEvent` Represents an action where an `Edge` `Property` is removed.
    `static class` | `Event.EdgeRemovedEvent` Represents an action where an `Edge` is removed from the `Graph`.
    `static class` | `Event.ElementPropertyChangedEvent` A base class for `Property` mutation events.
    `static class` | `Event.ElementPropertyEvent` A base class for `Property` mutation events.
    `static class` | `Event.VertexAddedEvent` Represents an action where a `Vertex` is removed from the `Graph`.
    `static class` | `Event.VertexPropertyChangedEvent` Represents an action where a `VertexProperty` is modified on a `Vertex`.
    `static class` | `Event.VertexPropertyPropertyChangedEvent` Represents an action where a `Property` is modified on a `VertexProperty`.
    `static class` | `Event.VertexPropertyPropertyRemovedEvent` Represents an action where a `Property` is removed from a `VertexProperty`.
    `static class` | `Event.VertexPropertyRemovedEvent` Represents an action where a `Property` is removed from a `Vertex`.
    `static class` | `Event.VertexRemovedEvent` Represents an action where a `Vertex` is removed from the `Graph`.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fireEvent(Iterator<MutationListener> eventListeners)` An `Event` publishes its action to all the event `MutationListener` objects.

- - ### Method Detail

    - #### fireEvent

          void fireEvent(Iterator<MutationListener> eventListeners)

      An `Event` publishes its action to all the event `MutationListener` objects.

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.